# Either

@Serializable(with = EitherSerializer::class )
sealed interface Either < T1 , T2 >(source)

Realization of this interface will contains at least one not null - optionalT1 or optionalT2

#### See also

EitherFirst
EitherSecond
Either.Companion.first
Either.Companion.second
Either.onFirst
Either.onSecond
Either.mapOnFirst
Either.mapOnSecond

#### Inheritors

EitherFirst
EitherSecond

## Properties

optionalT1
Link copied to clipboard
abstract val optionalT1 : Optional < T1 >
optionalT2
Link copied to clipboard
abstract val optionalT2 : Optional < T2 >
t1OrNull
Link copied to clipboard
open val t1OrNull : T1 ?
t2OrNull
Link copied to clipboard
open val t2OrNull : T2 ?

## Functions

mapOnFirst
Link copied to clipboard
inline fun < T1 , R > Either < T1 , *>. mapOnFirst (block: ( T1 ) -> R ): R ?
mapOnSecond
Link copied to clipboard
inline fun < T2 , R > Either <*, T2 >. mapOnSecond (block: ( T2 ) -> R ): R ?